tcplot {POT} | R Documentation

## Threshold Selection: The Threshold Choice Plot

### Description

Plots of parameter estimates at various thresholds for peaks over threshold modelling, using the Generalized Pareto or Point Process representation.

### Usage

    tcplot(data, u.range, cmax = FALSE, r = 1,
        ulow = -Inf, rlow = 1, nt = 25, which = 1:npar, conf = 0.95,
        lty = 1, lwd = 1, type = "b", cilty = 1, ask = nb.fig <
        length(which) && dev.interactive(), ...)

### Arguments

`data` | A numeric vector.
`u.range` | A numeric vector of length two, giving the limits for the thresholds at which the model is fitted.
`cmax` | Logical; if `FALSE` (the default), the models are fitted using all exceedances over the thresholds. If `TRUE`, the models are fitted using cluster maxima.
`r, ulow, rlow` | Arguments used for the identification of clusters of exceedances. Ignored if `cmax` is `FALSE` (the default).
`nt` | The number of thresholds at which the model is fitted.
`which` | If a subset of the plots is required, specify a subset of the numbers `1:npar`, where `npar` is the number of parameters.
`conf` | The (pointwise) confidence coefficient for the plotted confidence intervals. Use zero to suppress.
`lty, lwd` | The line type and width of the line connecting the parameter estimates.
`type` | The form taken by the line connecting the parameter estimates and the points denoting these estimates. Possible values include `"b"` (the default) for points joined by lines, `"o"` for over plotted points and lines, and `"l"` for an unbroken line with no points.
`cilty` | The line type of the lines depicting the confidence intervals.
`ask` | Logical; if `TRUE`, the user is asked before each plot.
`...` | Other arguments to be passed to the model fit function `fitgpd`.

### Details

For each of the `nt` thresholds a peaks over threshold model is fitted using the function `fitgpd`. The maximum likelihood estimates for the shape and the modified scale parameter (modified by subtracting the shape multiplied by the threshold) are plotted against the thresholds. If the threshold `u` is a valid threshold to be used for peaks over threshold modelling, the parameter estimates depicted should be approximately constant above `u`.

### Value

A list is invisibly returned. Each component is a matrix with three columns giving parameter estimates and confidence limits.

### Author(s)

Stuart Coles and Alec Stephenson

### References

Coles, S. (2001) An Introduction to Statistical Modelling of Extreme Values. Springer Series in Statistics. London.

### See Also

`fitgpd`, `mrlplot`

### Examples

    data(ardieres)
    ardieres <- clust(ardieres, 4, 10 / 365, clust.max = TRUE)
    flows <- ardieres[, "obs"]
    par(mfrow=c(1,2))
    tcplot(flows, u.range = c(0, 15) )

[Package POT version 1.1-7 Index]